summaryrefslogtreecommitdiff
path: root/automated/linux/rt-migrate-test
diff options
context:
space:
mode:
authorLei Yang <Lei.Yang@windriver.com>2017-10-23 11:30:11 +0800
committerChase Qi <chase.qi@linaro.org>2017-10-23 16:01:07 +0800
commit520e845f5f67a61ee3f159f6413d37afb343143a (patch)
tree1ba29a950574c6163b2b8ae5ee580c0ec19d83f8 /automated/linux/rt-migrate-test
parent168c8b723826a64eeb3e05dd1e5b2a8e31b9d534 (diff)
rt-migrate-test: use pre-installed binary if already installed
Change-Id: Ia764778dc41839653da489bcdf8890a1d535d865 Signed-off-by: Lei Yang <Lei.Yang@windriver.com>
Diffstat (limited to 'automated/linux/rt-migrate-test')
-rwxr-xr-xautomated/linux/rt-migrate-test/rt-migrate-test.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/automated/linux/rt-migrate-test/rt-migrate-test.sh b/automated/linux/rt-migrate-test/rt-migrate-test.sh
index 1c4ae68..e70e98d 100755
--- a/automated/linux/rt-migrate-test/rt-migrate-test.sh
+++ b/automated/linux/rt-migrate-test/rt-migrate-test.sh
@@ -25,9 +25,12 @@ done
create_out_dir "${OUTPUT}"
# Run rt-migrate-test.
-detect_abi
-# shellcheck disable=SC2154
-./bin/"${abi}"/rt-migrate-test -l "${LOOPS}" | tee "${LOGFILE}"
+if ! binary=$(which rt-migrate-test); then
+ detect_abi
+ # shellcheck disable=SC2154
+ binary="./bin/${abi}/rt-migrate-test"
+fi
+"${binary}" -l "${LOOPS}" | tee "${LOGFILE}"
# Parse test log.
task_num=$(grep "Task" "${LOGFILE}" | tail -1 | awk '{print $2}')